---
layout: hero
title: A library for building cross-platform apps
id: home
---

<section class="light home-section">
  <div class="marketing-row">
    <div class="marketing-col">
      <h3>Building on React</h3>
      <p>ReactXP builds on the popular React JS and React Native frameworks.</p>
    </div>
    <div class="marketing-col">
      <h3>XP means X-Platform</h3>
      <p>Share most of your code between the web, iOS, Android, and Windows.</p>
    </div>
    <div class="marketing-col">
      <h3>Apps Users Will Love</h3>
      <p>Create great-looking, responsive web pages and mobile apps that feel native.</p>
    </div>
  </div>
</section>
<hr class="home-divider" />
<section class="home-section">
  <div id="overview">
    <div class="overview-section">
      <p>
        The authors of React use the phrase “learn once, write anywhere”. With React and React 
        Native, your web app can share most its logic with your iOS and Android apps, but the view 
        layer needs to be implemented separately for each platform. We have taken this a step further 
        and developed a thin cross-platform layer we call ReactXP. If you write your app to this 
        abstraction, you can share your view definitions, styles and animations across multiple target 
        platforms. Of course, you can still provide platform-specific UI variants, but this can be done
        selectively where desired.
      </p>
      <p>
        ReactXP is designed with cross-platform development in mind. In general, it exposes
        APIs, components, props, styles and animation parameters that are implemented in
        a consistent way across React JS (HTML) and React Native for iOS and Android. A few
        platform-specific props and style attributes have been exposed, but we have tried to
        keep these to a minimum.
      </p>
      <p>
        ReactXP is meant to be as lightweight as possible. The “core” components and APIs are
        limited to the functionality required for almost all applications. Extensions to
        ReactXP expose more specialized functionality in a similar cross-platform manner.
      </p>
    </div>
  </div>
</section>
<hr class="home-divider" />
